LASTLOG(8)

NOME
lastlog - esamina il file degli ultimi accessi

SINTASSI

lastlog [opzioni]

DESCRIZIONE

lastlog mostra il log degli ultimi accessi, contenuto nel file /var/log/lastlog. Le informazioni mostrate sono il nome utente, la porta, e la data dell'ultimo accesso. Il comportamento predefinito (nessuna opzione specificata) è di mostrare i record di ultimo accesso per tutti gli utenti, nell'ordine in cui compaiono in /etc/passwd.

OPZIONI

Il comando lastlog accetta le seguenti opzioni:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-t, --time GIORNI
    Mostra solo i record di ultimo accesso più recenti di un numero di GIORNI.

-u, --user LOGIN
    Mostra il record di ultimo accesso per l'utente specificato da LOGIN.

L'opzione -t ha la precedenza sull'uso di -u.

Se l'utente non ha mai effettuato accessi al sistema viene mostrato, al posto della porta e della data, il messaggio "**Nessun accesso effettuato**".

FILE
/var/log/lastlog    - file di log degli ultimi accessi

AVVISI/CAVEAT
Se ci sono dei grossi scarti tra i valori di UID, il programma lastlog può restare in esecuzione per un tempo prolungato senza produrre output sullo schermo (ad es. se mmdf=800 e l'ultimo UID vale 170, il programma sembrerà bloccato come se esaminasse gli UID tra 171 e 799).

AUTORI
Julianne Frances Haugh (jockgrrl@ix.netcom.com)
Phillip Street

TRADUZIONE
Isabella Ruocco <isacher@nettaxi.com>, 1999
Giuseppe Sacco <eppesuig@debian.org>, 2005
Danilo Piazzalunga <danilopiazza@libero.it>, 2005